Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 813923 - traceback while trying to retrieve kickstart from nfs
Summary: traceback while trying to retrieve kickstart from nfs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-18 19:01 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-13 23:08:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave Jones 2012-04-18 19:01:26 UTC
pxe config ..

 label 17-32 
 kernel davej/17-vmlinuz32
 append initrd=davej/17-initrd32.img ksdev=bootif ks=nfs://gelk/mnt/data/mirror/kick/17-32.ks biosdevname=0

boots the kernel and initrd, and then dracut fails with..

File "/sbin/parse-kickstart", line 41, in dracut_args
method += ":%s" % opts
NameError: global name 'opts' is not defined
/lib/anaconda-lib.sh line 137 /tmp/ks.info: No such file or directory

Comment 1 Jesse Keating 2012-04-18 21:19:30 UTC
Simple variable name typo.  Committed to rawhide and f17-branch, will be in next builds.

Comment 2 Fedora Update System 2012-04-19 00:22:42 UTC
anaconda-17.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.21-1.fc17

Comment 3 Fedora Update System 2012-04-20 02:26:34 UTC
Package anaconda-17.21-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.21-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6240/anaconda-17.21-1.fc17
then log in and leave karma (feedback).

Comment 4 Jesse Keating 2012-06-13 23:08:15 UTC
Fixed in F17 GA.


Note You need to log in before you can comment on or make changes to this bug.